<!--link rel="stylesheet" type="text/css" href="css/template.css" /-->
<?php
	include_once("formularios/data/connect.php");
	drupal_add_js("modulos/js/ajax.js");
	drupal_add_js("modulos/js/ajax-dynamic-content.js");	  
	drupal_add_js("modulos/js/ajax-tooltip.js");	  
	drupal_add_css("modulos/css/template.css");	  
	drupal_add_css("modulos/css/ajax.css");	  
	$buscid = $_GET['buscid'] ? $_GET['buscid'] : 0;
	
	$query = "SELECT P.Nombre, P.NombreResponsable, P.Descripcion, B.Actual AS Gasto, D.Nombre AS Departamento, E.Nombre AS Entidad, S.nombre AS Estado, H.name AS Responsable FROM programas P LEFT JOIN presupuestos B ON P.IdPrograma = B.IdPrograma INNER JOIN departamentos D ON P.IdDepartamento = D.IdDepartamento INNER JOIN entidades E ON P.IdEntidad = E.IdEntidad AND P.IdDepartamento = E.IdDepartamento INNER JOIN tbl_ref_estados S ON P.IdEstado = S.codigo LEFT JOIN agency_heads H ON P.IdDepartamento = H.agency WHERE P.IdPrograma = $buscid AND B.Periodo = " . date('Y');
	$RS = mysql_query($query);
	$row = mysql_fetch_array($RS);
	
	if(strlen($row['Descripcion']) > 80) {
		$position = strpos($row['Descripcion'], " ", 80);
		if(!$position){
			$position = strlen($row['Descripcion']);
		}
		$row['Descripcion'] = substr($row['Descripcion'], 0, $position).'<a href="#" onclick="ajax_showTooltip2(\'/modulos/descripcion.php?buscid='.$buscid. '\',this)"> m&aacute;s..</a>';
	}

	$query2 = "SELECT MAX(DATE_FORMAT(FechaFinalPresup,'%d/%m/%Y')) fpresup, MAX(DATE_FORMAT(FechaFinalReal,'%d/%m/%Y')) freal FROM proyectos WHERE IdPrograma = $buscid";
	$RS2 = mysql_query($query2);
	$row2 = mysql_fetch_array($RS2);
	if($row2['freal'])
		$fechafinal = $row2['freal'];
	else
		$fechafinal = $row2['fpresup'];

	$query3 = "SELECT * FROM evaluaciones WHERE IdPrograma = $buscid ORDER BY Fecha DESC LIMIT 1";
	$RS3 = mysql_query($query3);
	$row3 = mysql_fetch_array($RS3);
	
	function evalColor($val,$tipo)
	{
		if($tipo==1)
		{
			if($val<=10)
				return 'verde';
			if($val<=30)
				return 'amarilla';
			else
				return 'roja';
		}
		else
		{
			if($val>=3.5)
				return 'verde';
			if($val>=1.5)
				return 'amarilla';
			else
				return 'roja';
		}
	}

?>
<h1 class="titulo-pagina"><?=utf8_encode($row['Nombre'])?></h1>
<div class="programa">
    <ul>
        <li>&gt; <a href="/variacion_costo?buscid=<?=$buscid;?>">Detalles de Variaci&oacute;n de Costo</a></li>
        <li>&gt; <a href="/variacion_plan?buscid=<?=$buscid;?>">Detalles de Variaci&oacute;n de Plan</a></li>
        <li>&gt; <a href="/contratos?buscid=<?=$buscid;?>">Encomiendas y Contratos</a></li>
    </ul>
	<div id="programa-eval">
    	<p class="programa-seccion">Evaluaci&oacute;n General</p>
        <img src="modulos/img/manometro.jpg" />
        <p class="programa-evaluacion">
        	<?=number_format($row3['EvaluacionGeneral'],1)?>
		</p>
        <div>
			<a href="" id="rating_calc_tooltip" class="tooltipU" >Mostrar Valores
			<span id="showcalcspan">
				<table bordercolor="FFFFFF" align="center" cellpadding="0">
					<tr>
						<td>
							<b>Evaluación de Costo: </b>
						</td>
	                    <td align=left >
	                        <?= $row3['EvaluacionCosto'] . " / 10" ?>
	                    </td>
					</tr>
                    <tr>
                        <td>
							<b>Evaluación de Plan: </b>
	                    </td>
	                    <td align=left >
	                        <?= $row3['EvaluacionPlan'] . " / 10" ?>
	                    </td>
	                </tr>
	                <tr>
	                    <td>
							<b>Evaluación(responsable):&nbsp;</b>
	                    </td>
	                    <td align=left >
	                        <?= ($row3['EvaluacionResponsable'] * 2) . " / 10"; ?>
	                    </td>
	                </tr>
				</table>
			</span>
			</a>
	    </div>
    </div>
	<div id="programa-info-izq">
        <p class="programa-seccion">Informaci&oacute;n del Programa</p>
    	<div class="info-izq">
            <p class="programa-detalle">Responsable del Departamento</p>
            <?=utf8_encode($row['Responsable'])?>
            <p class="programa-detalle">Departamento</p>
            <?=utf8_encode($row['Departamento'])?>
            <p class="programa-detalle">Entidad</p>
            <?=utf8_encode($row['Entidad'])?>
        </div>
        <div class="info-der">
            <img src="modulos/img/logo-entidad.jpg" width="90" />
            <?=utf8_encode($row['NombreResponsable'])?>
            <p class="programa-responsable">Responsable del Programa</p>
        </div>
		<br class="clear-l" />    
    </div>
	<div id="programa-info-der">
        <p class="programa-detalle">Estado del Programa</p>
        <?=utf8_encode($row['Estado'])?>
        <p class="programa-detalle">Descripci&oacute;n</p>
        <?=utf8_encode($row['Descripcion'])?>
        <p class="programa-detalle">Gasto A&ntilde;o <?=date('Y')?></p>
        <?=number_format($row['Gasto'])?> &euro;
        <p class="programa-detalle">Fin del Programa</p>
        <?=$fechafinal?>
    </div>
	<br class="clear-l" />    
    <div id="evaluacion-costo">
        <span>% Variacion de Costo</span>
        <img src="modulos/img/bola_<?=evalColor($row3['VariacionCosto'],1)?>.jpg" width="24" style="vertical-align:middle;"  />	
        <?= number_format($row3['VariacionCosto'],2) . '%'?>
    </div>
    <div id="evaluacion-plan">
        <span>% Variacion de Plan</span>
        <img src="modulos/img/bola_<?=evalColor($row3['VariacionPlan'],1)?>.jpg" width="24" style="vertical-align:middle;"  />				
        <?= number_format($row3['VariacionPlan'],2) . ' %'?>
    </div>
    <div id="evaluacion-responsable">
        <span>Evaluacion(por Responsable)</span>
        <img src="modulos/img/bola_<?=evalColor($row3['EvaluacionResponsable'],2)?>.jpg" width="24" style="vertical-align:middle;"  />				
        <?= number_format($row3['EvaluacionResponsable'],1).' / 5'?>
    </div>
	<br class="clear-l" />   
	<div id="ilcPagination" class="clearfix">
		<div id="investmentPagination"><?php include_once("modulos/paginacion.php?buscid=".$buscid); ?></div>
	</div>
</div>
Nota: Todas las descripciones, fechas y costos son reportados por los departamentos.